﻿/**Begin C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
 EXEC P_ALTERPK 'PK_SRC_FEECONFIGCHG', 'T_SRC_FEECONFIGCHG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_FEECONFIGCHG_PID') CREATE INDEX IDX_SRC_FEECONFIGCHG_PID ON T_SRC_FEECONFIGCHG ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_FEECONFIGCHG_PROID') CREATE INDEX IDX_SRC_FEECONFIGCHG_PROID ON T_SRC_FEECONFIGCHG ( FPROJECTID );


 EXEC P_ALTERPK 'PK_SRC_FEECONFIGCHGENTRY', 'T_SRC_FEECONFIGCHGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_FEECONFIGCHGENTRY_FID') CREATE INDEX IDX_SRC_FEECONFIGCHGENTRY_FID ON T_SRC_FEECONFIGCHGENTRY ( FID );


 EXEC P_ALTERPK 'PK_SRC_SCORERETURN', 'T_SRC_SCORERETURN', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCORERETURN_ENTRYID') CREATE INDEX IDX_SRC_SCORERETURN_ENTRYID ON T_SRC_SCORERETURN ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCORERETURN_PID') CREATE INDEX IDX_SRC_SCORERETURN_PID ON T_SRC_SCORERETURN ( FPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCORERETURN_PARENTID') CREATE INDEX IDX_SRC_SCORERETURN_PARENTID ON T_SRC_SCORERETURN ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCORERETURN_SCORERID') CREATE INDEX IDX_SRC_SCORERETURN_SCORERID ON T_SRC_SCORERETURN ( FSCORERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCORERETURN_SUPID') CREATE INDEX IDX_SRC_SCORERETURN_SUPID ON T_SRC_SCORERETURN ( FSUPPLIERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCORERETURN_AGENTID') CREATE INDEX IDX_SRC_SCORERETURN_AGENTID ON T_SRC_SCORERETURN ( FAGENTID );


 EXEC P_ALTERPK 'PK_SRC_EVALUATERETURN', 'T_SRC_EVALUATERETURN', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EVALUATERETURN_EID') CREATE INDEX IDX_SRC_EVALUATERETURN_EID ON T_SRC_EVALUATERETURN ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EVALUATERETURN_PRID') CREATE INDEX IDX_SRC_EVALUATERETURN_PRID ON T_SRC_EVALUATERETURN ( FPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EVALUATERETURN_PAID') CREATE INDEX IDX_SRC_EVALUATERETURN_PAID ON T_SRC_EVALUATERETURN ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EVALUATERETURNL_SID') CREATE INDEX IDX_SRC_EVALUATERETURNL_SID ON T_SRC_EVALUATERETURN ( FSCORERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EVALUATERETURN_AID') CREATE INDEX IDX_SRC_EVALUATERETURN_AID ON T_SRC_EVALUATERETURN ( FAGENTID );



/**End C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
