﻿/**Begin C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
 EXEC P_ALTERPK 'PK_SRC_REGEXPERT', 'T_SRC_REGEXPERT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERT_NUMBER') CREATE INDEX IDX_SRC_REGEXPERT_NUMBER ON T_SRC_REGEXPERT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERT_USER') CREATE INDEX IDX_SRC_REGEXPERT_USER ON T_SRC_REGEXPERT ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERT_TELPHONE') CREATE INDEX IDX_SRC_REGEXPERT_TELPHONE ON T_SRC_REGEXPERT ( FTELEPHONE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERT_ORG') CREATE INDEX IDX_SRC_REGEXPERT_ORG ON T_SRC_REGEXPERT ( FORGID );


 EXEC P_ALTERPK 'PK_SRC_REGEXPERT_L', 'T_SRC_REGEXPERT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERT_L_FID') CREATE INDEX IDX_SRC_REGEXPERT_L_FID ON T_SRC_REGEXPERT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SRC_REGEXPERTAPTITUDE', 'T_SRC_REGEXPERTAPTITUDE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERTAPTITUDE_FID') CREATE INDEX IDX_SRC_REGEXPERTAPTITUDE_FID ON T_SRC_REGEXPERTAPTITUDE ( FID );


 EXEC P_ALTERPK 'PK_SRC_REGEXPERTAPT_FJ', 'T_SRC_REGEXPERTAPT_FJ', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERTAPT_FJ_EID') CREATE INDEX IDX_SRC_REGEXPERTAPT_FJ_EID ON T_SRC_REGEXPERTAPT_FJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERTAPT_FJ_BID') CREATE INDEX IDX_SRC_REGEXPERTAPT_FJ_BID ON T_SRC_REGEXPERTAPT_FJ ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_SRC_REGEXPERTSUPPLIER', 'T_SRC_REGEXPERTSUPPLIER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERTSUPPLIER_FID') CREATE INDEX IDX_SRC_REGEXPERTSUPPLIER_FID ON T_SRC_REGEXPERTSUPPLIER ( FID );


 EXEC P_ALTERPK 'PK_SRC_REGEXPERTEDUCATION', 'T_SRC_REGEXPERTEDUCATION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERTEDUCATION_FID') CREATE INDEX IDX_SRC_REGEXPERTEDUCATION_FID ON T_SRC_REGEXPERTEDUCATION ( FID );


 EXEC P_ALTERPK 'PK_SRC_REGEXPERTWORK', 'T_SRC_REGEXPERTWORK', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERTWORK_FID') CREATE INDEX IDX_SRC_REGEXPERTWORK_FID ON T_SRC_REGEXPERTWORK ( FID );


 EXEC P_ALTERPK 'PK_SRC_EXPERT_PBTYPE', 'T_SRC_EXPERT_PBTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERT_PBTYPE_FID') CREATE INDEX IDX_SRC_EXPERT_PBTYPE_FID ON T_SRC_EXPERT_PBTYPE ( FID );


 EXEC P_ALTERPK 'PK_SRC_REGEXPERT_TYPE', 'T_SRC_REGEXPERT_TYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERT_TYPE_FID') CREATE INDEX IDX_SRC_REGEXPERT_TYPE_FID ON T_SRC_REGEXPERT_TYPE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_REGEXPERT_TYPE_BID') CREATE INDEX IDX_SRC_REGEXPERT_TYPE_BID ON T_SRC_REGEXPERT_TYPE ( FBASEDATAID );



/**End C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
