﻿/**Begin C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
 EXEC P_ALTERPK 'PK_SRC_EXPORTCHG', 'T_SRC_EXPORTCHG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTCHG_NUMBER') CREATE INDEX IDX_SRC_EXPORTCHG_NUMBER ON T_SRC_EXPORTCHG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTCHG_USER') CREATE INDEX IDX_SRC_EXPORTCHG_USER ON T_SRC_EXPORTCHG ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTCHG_TELPHONE') CREATE INDEX IDX_SRC_EXPORTCHG_TELPHONE ON T_SRC_EXPORTCHG ( FTELEPHONE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTCHG_ORG') CREATE INDEX IDX_SRC_EXPORTCHG_ORG ON T_SRC_EXPORTCHG ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTCHG_EXPERT') CREATE INDEX IDX_SRC_EXPORTCHG_EXPERT ON T_SRC_EXPORTCHG ( FEXPERTLD );


 EXEC P_ALTERPK 'PK_SRC_EXPERTAPTITUDECHG', 'T_SRC_EXPERTAPTITUDECHG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTAPTITUDECHG_FID') CREATE INDEX IDX_SRC_EXPERTAPTITUDECHG_FID ON T_SRC_EXPERTAPTITUDECHG ( FID );


 EXEC P_ALTERPK 'PK_SRC_EXPORTSUPPLIERCHG', 'T_SRC_EXPORTSUPPLIERCHG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTSUPPLIERCHG_FID') CREATE INDEX IDX_SRC_EXPORTSUPPLIERCHG_FID ON T_SRC_EXPORTSUPPLIERCHG ( FID );


 EXEC P_ALTERPK 'PK_SRC_EXPORTPROJECTCHG', 'T_SRC_EXPORTPROJECTCHG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTPROJECTCHG_FID') CREATE INDEX IDX_SRC_EXPORTPROJECTCHG_FID ON T_SRC_EXPORTPROJECTCHG ( FID );


 EXEC P_ALTERPK 'PK_SRC_EXPORTEDUCATIONCHG', 'T_SRC_EXPORTEDUCATIONCHG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTEDUCATIONCHG_FID') CREATE INDEX IDX_SRC_EXPORTEDUCATIONCHG_FID ON T_SRC_EXPORTEDUCATIONCHG ( FID );


 EXEC P_ALTERPK 'PK_SRC_EXPORTWORKCHG', 'T_SRC_EXPORTWORKCHG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTWORKCHG_FID') CREATE INDEX IDX_SRC_EXPORTWORKCHG_FID ON T_SRC_EXPORTWORKCHG ( FID );


 EXEC P_ALTERPK 'PK_SRC_EXPERTCHANGE', 'T_SRC_EXPERTCHANGE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTCHANGE_FID') CREATE INDEX IDX_SRC_EXPERTCHANGE_FID ON T_SRC_EXPERTCHANGE ( FID );

 EXEC P_ALTERPK 'PK_SRC_EXPORTCHG_L', 'T_SRC_EXPORTCHG_L', 'FPKID', '1';

 EXEC p_DropIdx 'IDX_SRC_EXPORTCHG_L_FID', 'T_SRC_EXPORTCHG_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPORTCHG_L_FID') CREATE UNIQUE INDEX IDX_SRC_EXPORTCHG_L_FID ON T_SRC_EXPORTCHG_L ( FID ,FLOCALEID );

/**End C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
