﻿/**Begin C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
 EXEC P_ALTERPK 'PK_SRC_EXPERTATTEND', 'T_SRC_EXPERTATTEND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTATTEND_FBILLNO') CREATE INDEX IDX_SRC_EXPERTATTEND_FBILLNO ON T_SRC_EXPERTATTEND ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTATTEND_FEXPERTID') CREATE INDEX IDX_SRC_EXPERTATTEND_FEXPERTID ON T_SRC_EXPERTATTEND ( FEXPERTID );


 EXEC P_ALTERPK 'PK_SRC_EXPERTAWARD', 'T_SRC_EXPERTAWARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTAWARD_FBILLNO') CREATE INDEX IDX_SRC_EXPERTAWARD_FBILLNO ON T_SRC_EXPERTAWARD ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTAWARD_FEXPERTID') CREATE INDEX IDX_SRC_EXPERTAWARD_FEXPERTID ON T_SRC_EXPERTAWARD ( FEXPERTID );


 EXEC P_ALTERPK 'PK_SRC_EXPERTPUNISH', 'T_SRC_EXPERTPUNISH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTPUNISH_FBILLNO') CREATE INDEX IDX_SRC_EXPERTPUNISH_FBILLNO ON T_SRC_EXPERTPUNISH ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTPUNISH_FEXPERTID') CREATE INDEX IDX_SRC_EXPERTPUNISH_FEXPERTID ON T_SRC_EXPERTPUNISH ( FEXPERTID );


 EXEC P_ALTERPK 'PK_SRC_EXPERTLEAVE', 'T_SRC_EXPERTLEAVE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTLEAVE_FBILLNO') CREATE INDEX IDX_SRC_EXPERTLEAVE_FBILLNO ON T_SRC_EXPERTLEAVE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTLEAVE_FEXPERTID') CREATE INDEX IDX_SRC_EXPERTLEAVE_FEXPERTID ON T_SRC_EXPERTLEAVE ( FEXPERTID );


 EXEC P_ALTERPK 'PK_SRC_EXPERTTRAIN', 'T_SRC_EXPERTTRAIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTTRAIN_FBILLNO') CREATE INDEX IDX_SRC_EXPERTTRAIN_FBILLNO ON T_SRC_EXPERTTRAIN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTTRAIN_FEXPERTID') CREATE INDEX IDX_SRC_EXPERTTRAIN_FEXPERTID ON T_SRC_EXPERTTRAIN ( FEXPERTID );


 EXEC P_ALTERPK 'PK_SRC_EXPERTTRAIN_FJ', 'T_SRC_EXPERTTRAIN_FJ', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SRC_EXPERTTRAIN_FJ_FID') CREATE INDEX T_SRC_EXPERTTRAIN_FJ_FID ON T_SRC_EXPERTTRAIN_FJ ( FID );


 EXEC P_ALTERPK 'PK_SRC_EXPERTWORK', 'T_SRC_EXPERTWORK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTWORK_FBILLNO') CREATE INDEX IDX_SRC_EXPERTWORK_FBILLNO ON T_SRC_EXPERTWORK ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTWORK_FEXPERTID') CREATE INDEX IDX_SRC_EXPERTWORK_FEXPERTID ON T_SRC_EXPERTWORK ( FEXPERTID );


 EXEC P_ALTERPK 'PK_SRC_EXPERTUPDATELOG', 'T_SRC_EXPERTUPDATELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_EXPERTUPDATELOG_EID') CREATE INDEX IDX_SRC_EXPERTUPDATELOG_EID ON T_SRC_EXPERTUPDATELOG ( FEXPERTID );


 EXEC P_ALTERPK 'PK_SRC_BIDTYPE', 'T_SRC_BIDTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SRC_BIDTYPE_FID') CREATE INDEX T_SRC_BIDTYPE_FID ON T_SRC_BIDTYPE ( FID );



/**End C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
